[agent]
    flush_interval = "20s"
    hostname = "${HOSTNAME}"
    omit_hostname = false

[[processors.dedup]]
    dedup_interval = "600s"

[[inputs.socket_listener]]
    service_address = "udp://:8094"
    data_format = "xpath_json"
    [[inputs.socket_listener.xpath]]
        metric_name = "'peertube'"
        metric_selection = "/*"

        timestamp = "timestamp"
        timestamp_format = "unix_ms"

        [inputs.socket_listener.xpath.tags]
            url = "url"
            session = "session"
            host = "host"

        [inputs.socket_listener.xpath.fields]
            player = "player"
            peers = "peers"

[[outputs.health]]
    service_address = "http://:8080"

[[outputs.file]]
    files = ["stdout"]
    data_format = "json"

[[outputs.mongodb]]
    dsn = "${DSN}"
    database = "${DATABASE}"
    granularity = "seconds"